#! /bin/bash

set -x

fn=Crypto-2022.md
fnroot=${fn%.*}
while true
do inotifywait -e modify pandoc.css slidy-template.Thtml $fn
    pandoc --from=markdown --css pandoc.css --to=slidy --template=slidy-template.Thtml   $fn --slide-level=2 -o 22.slidy.html
    perl -plE 's/^:::(?x: \s* notes \b)?\s*$//d;' $fn > $fnroot-notes.md
    pandoc --from=markdown --css pandoc.css --to=html -s --toc --toc-depth=1 $fnroot-notes.md  -o 22.doc.html; echo $?; 

done
